From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/rexima/
Date: Sat, 11 Mar 2017 20:47:25 +0000 (UTC) [thread overview]
Message-ID: <1489265234.6a898fff45993a04ecd991c29c15c92b86400c4e.soap@gentoo> (raw)
commit: 6a898fff45993a04ecd991c29c15c92b86400c4e
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 11 20:45:11 2017 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Mar 11 20:47:14 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a898fff
media-sound/rexima: Modernise to EAPI 6
Package-Manager: Portage-2.3.4, Repoman-2.3.2
.../{rexima-1.4.ebuild => rexima-1.4-r1.ebuild} | 26 +++++++++++++---------
1 file changed, 16 insertions(+), 10 deletions(-)
diff --git a/media-sound/rexima/rexima-1.4.ebuild b/media-sound/rexima/rexima-1.4-r1.ebuild
similarity index 59%
rename from media-sound/rexima/rexima-1.4.ebuild
rename to media-sound/rexima/rexima-1.4-r1.ebuild
index cdfc20bdfad..cd78692ee67 100644
--- a/media-sound/rexima/rexima-1.4.ebuild
+++ b/media-sound/rexima/rexima-1.4-r1.ebuild
@@ -1,6 +1,8 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
+EAPI=6
+
inherit toolchain-funcs
DESCRIPTION="A curses-based interactive mixer which can also be used from the command-line"
@@ -12,18 +14,22 @@ SLOT="0"
KEYWORDS="amd64 ppc sparc x86"
IUSE=""
-RDEPEND="sys-libs/ncurses"
-DEPEND="${RDEPEND}"
+RDEPEND="sys-libs/ncurses:0="
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
-src_compile() {
+src_configure() {
tc-export CC
- echo "LDLIBS=-lncurses" > Makefile
- echo "all: rexima" >> Makefile
- emake || die "emake failed"
+
+ cat > Makefile <<- _EOF_ || die
+ LDLIBS=$($(tc-getPKG_CONFIG) --libs ncurses)
+ all: rexima
+ _EOF_
}
src_install () {
- dobin rexima || die
- doman rexima.1 || die
- dodoc NEWS README ChangeLog
+ dobin rexima
+
+ einstalldocs
+ doman rexima.1
}
next reply other threads:[~2017-03-11 20:47 UTC|newest]
Thread overview: 2+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-03-11 20:47 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-02 2:50 [gentoo-commits] repo/gentoo:master commit in: media-sound/rexima/ Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1489265234.6a898fff45993a04ecd991c29c15c92b86400c4e.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox